# $Revision: 1.5 $, $Date: 2012/01/15 21:46:25 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	rpm
%define	pnam	build-perl
Summary:	Calculate dependencies for Perl sources
Summary(pl.UTF-8):	Znajdź zależności dla źródeł perlowych
Name:		perl-rpm-build-perl
Version:	0.80
Release:	1
License:	Artistic/GPL
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/A/AT/ATOURBIN/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0ce2716ea447362fa2879684b5daafe7
URL:		http://search.cpan.org/dist/rpm-build-perl/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Calculate dependencies for Perl sources.

%description -l pl.UTF-8
Moduł ten znajduje zależności dla źródeł perlowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/perl.*
%dir %{perl_vendorlib}/B
%{perl_vendorlib}/B/*.pm
%dir %{perl_vendorlib}/PerlReq
%{perl_vendorlib}/PerlReq/*.pm
%{perl_vendorlib}/*.pm
%{_mandir}/man?/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-rpm-build-perl.spec,v $
Revision 1.5  2012/01/15 21:46:25  adamg
- pl summary fix, cosmetics

Revision 1.4  2012/01/15 20:20:28  zbyniu
- up to 0.80

Revision 1.3  2011/07/01 14:26:33  marti
- up to 0.74

Revision 1.2  2009/10/16 10:11:26  amateja
- updated to 0.71

Revision 1.1  2009/09/13 12:19:54  amateja
- initial
